### Constructor

# Soup Message new_from_uri

#### Declaration [src]

    SoupMessage*
    soup_message_new_from_uri (
      const char* method,
      GUri* uri
    )

#### Description [src]

Creates a new empty `SoupMessage`, which will connect to `uri`.

#### Parameters

`method`

  Type: `const char*`

  The HTTP method for the created request.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`uri`

  Type: `GUri`

  The destination endpoint.

  The data is owned by the caller of the function.

#### Return value

Type: `SoupMessage`

The new `SoupMessage`.

The caller of the function takes ownership of the data, and is responsible for freeing it.